using System;

internal sealed class Delegate775 : MulticastDelegate
{
	public extern DateTime Invoke();

	public static DateTime smethod_0(Delegate775 delegate775_1)
	{
		return delegate775_1();
	}

	public extern Delegate775(object object_0, IntPtr intptr_0);

	static Delegate775()
	{
		Class10.smethod_13(typeof(Delegate775).TypeHandle);
	}

	internal static Delegate775 delegate775_0;
}
